# Uses of Interface
org.apache.qpid.proton.engine.TransportResult

Packages that use TransportResult
Package
Description
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl

## Uses of TransportResult in org.apache.qpid.proton.engine

Methods in org.apache.qpid.proton.engine that return TransportResult
Modifier and Type
Method
Description
`static TransportResult`
TransportResultFactory.`error(Exception e)`
`static TransportResult`
TransportResultFactory.`error(String errorDescription)`
`static TransportResult`
TransportResultFactory.`error(String format, Object... args)`
`static TransportResult`
TransportResultFactory.`ok()`
`TransportResult`
Transport.`processInput()`
Tell the transport to process the data written to the input buffer.

## Uses of TransportResult in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl that return TransportResult
Modifier and Type
Method
Description
`TransportResult`
TransportImpl.`oldApiCheckStateBeforeInput(int inputLength)`
This method is public as it is used by Python layer.
`TransportResult`
TransportImpl.`processInput()`